Subject: Re: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Mar 2021 17:37:28 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tue, 30 Mar 2021 14:33:04 +0000
> 
> Removing the .eln should not be necessary, thinking about actually if
> it's removed I guess emacs will not be able to start and recompile the
> file as not able to resurrect from dump.
> 
> `batch-native-compile' or `batch-byte-native-compile-for-bootstrap'
> should be equivalent here as the second is just a way to do only byte
> compilation for non dumped files when we are not using NATIVE_FULL_AOT.

Then I guess I'm missing something: how does Emacs know whether a
given .eln file should be saved in native-lisp/ or in
~/.emacs.d/eln-cache/?

> > And finally, in what directory will the pseudo C code files be dumped,
> > when using comp-debug = 1? in the same directory as the corresponding
> > .eln files, or somewhere else?
> 
> Correct, same directory of the eln.

Thanks.